 <div class="pal_new">
	
		<h2>New Price</h2>
			<div class="pal_br_add">
		<a href="/settings/price" class="btn btn-success btn-lg btn-right">Back</a>
		</div>
		<form method="post" action="/settings/add_price" onsubmit="return validation();">
			<div class="col-md-12">

			<div class="col-md-6 form-group">
				<label>Service Name<span class="required">*</span></label>
					<select class="form-control" name="service_name" id="service_name" onChange="sel(this.value);">
						<option value="">--Select Service--</option>
						{{#each items as |item|}}
							<option value="{{item.id}}">{{item.name}}</option>
						{{/each}}
					</select>
			</div>

			<div class="col-md-6 form-group">
				<label>Service Category Name<span class="required">*</span></label>
					<select class="form-control" name="sub_name" id="sub_name" onChange="sel_brand(this.value);sel_work(this.value);">
						<option value="">--Select Service Category--</option>
						
					</select>
			</div>

			<span id="brand"></span>

			<div class="col-md-6 form-group">
				<label>Work Name<span class="required">*</span></label>
					<select class="form-control" name="work_name" id="work_name" onChange="sel1(this.value);">
						<option value="">--Select work Name--</option>
						
					</select>
			</div>

			<div class="col-md-6 form-group">
				<label>Work Category<span class="required">*</span></label>
					<select class="form-control" name="work_cat" id="work_cat">
						<option value="">--Select work category--</option>
						
					</select>
			</div>

			<div class="col-md-6 form-group">
				<label>Price (Per Quantity)<span class="required">*</span></label>
					<input type="number" class="form-control" name ="price" id="price" placeholder = "Price" />
			</div>

			<div class="col-md-6 form-group">
				<label>Max Count<span class="required">*</span></label>
					<input type="number" class="form-control" name ="max_count" id="max_count" placeholder = "Maximum Count" onchange="multi_text(this.value);" />
			</div>

			
			<span id="dis_txt">
	
			</span>
		
			
			{{#if error_msg}}
				<div class="alert alert-danger">{{error_msg}}</div>
			{{/if}}
			<div class="col-md-12">
			<button type="submit" class="btn btn-primary">Submit</button>
			</div>
			</div>
		</form>
		</div>

		<script>
			function validation(){
				var work_name = $('#work_name').val();
				var work_cat = $('#work_cat').val();
				var price = $('#price').val();
				var max_count = $('#max_count').val();

				
				if(work_name == ""){
					swal('Select Work Name');
					return false;
				}else if(work_cat == ""){
					swal('Select Work Caetgory Name');
					return false;
				}else if(price == ""){
					swal('Enter Price');
					return false;
				}else if(max_count == ""){
					swal('Enter Maximum Count');
					return false;
				}
			}

			function multi_text(max_count){
				var input_ele='';
				
				for(var i = 1;i<=max_count;i++){
					input_ele += '<div class="col-md-6"><label>Count'+i+'(Perc %):</label><input type="number" name="offer" id="offer" class="form-control" placeholder = "Offer In Percentage"></div>';
				}
				
				$('#dis_txt').html(input_ele);
			}

			function sel(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getjson',
                      success: function(data) {
						if(data == 1){
							swal("Service Category Not Available");
							$('#sub_name').html('');
							$('#brand').html('');
						}else{
							$('#sub_name').html(data);
						}
                      }
                  });
			}
			function sel1(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/settings/getwork_cat',
                      success: function(data) {
						if(data == '<option value="">--Select Any--</option>'){
							swal("Work Category Not Available");
							$('#work_cat').val('');
							$('#work_cat').html(data);
						}else{
							$('#work_cat').html(data);
						}
                      }
                  });
			}

			function sel_brand(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getbrand',
                      success: function(data) {

							if(data != '1'){
							$('#brand').html(data);
							}else{
							$('#brand').html('');
							}
						
                      }
                  });
			}

			function sel_work(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getwork',
                      success: function(data) {

							if(data != '1'){
							$('#work_name').html(data);
							}else{
								swal('No Work Available');
								$('#work_name').html('');
								return false;
							}
						
                      }
                  });
			}
		</script>
	
